VOL_ID(8)

NAME
vol_id - probe filesystem type and read label and uuid

SYNOPSIS

vol_id [--export] [-t] [-l] [-u] [device]

DESCRIPTION

vol_id is usually called from a udev rule, to provide udev with the filesystem type, the label and the uuid of a volume. vol_id supports all common filesystem formats and detects various raid setups to prevent the recognition of raid members as a volume with a filesystem.

OPTIONS

--export
    print all values in key/value format to import them into the environment.

-t
    print the filesystem type

-l
    print the label of a volume

-u
    print the uuid of a volume

ENVIRONMENT

UDEV_LOG
    Set the syslog priority.

EXIT STATUS

vol_id will only return successful if the value asked for is not empty. All trailing whitespace will be removed, spaces replaced by underscore and slashes ignored.

AUTHOR

Written by Kay Sievers <kay.sievers@vrfy.org>

SEE ALSO

udev(7)